package com.heyu.api.data.service.api;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2025-04-16
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.api.ApiRechargeMoneyEntity;
public interface ApiRechargeMoneyService extends IService<ApiRechargeMoneyEntity> {



	ApiRechargeMoneyEntity selectApiRechargeMoneyById(Long id);


	Long insertApiRechargeMoney(ApiRechargeMoneyEntity apiRechargeMoney);


	Long insertOrUpdateApiRechargeMoney(ApiRechargeMoneyEntity apiRechargeMoney);


	int updateApiRechargeMoneyById(ApiRechargeMoneyEntity apiRechargeMoney);


	int updateCoverApiRechargeMoneyById(ApiRechargeMoneyEntity apiRechargeMoney);


	int deleteApiRechargeMoneyById(Long id);


    void addUseCountAndSendWarnMsg(String idcardVerificationTencent, int count);



}